<?xml version="1.0" encoding="UTF-8"?>
<!--
   Copyright (C) 2002-2003 Index Data Aps, www.indexdata.dk

   This file is part of TKL.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; version 2 dated June, 1991.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   A copy of the GNU General Public License is also available at
   <URL:http://www.gnu.org/copyleft/gpl.html>.  You may also obtain
   it by writing to the Free Software Foundation, Inc., 59 Temple
   Place - Suite 330, Boston, MA 02111-1307, USA.

   $Id: tkl-file-exists.xsl,v 1.3 2003-12-18 12:37:46 marc Exp $
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" encoding="UTF-8"/>

<xsl:template match="tkl-file-exists">
  <html>
  <body>
  <h1>tkl-file-exists</h1>
  <h2>&lt;xsl:variable name="ok1" 
      select="document('tkl-file-exists://?file=index.tkl')"/&gt;</h2>
     <xsl:variable name="ok1" select="document('tkl-file-exists://?file=index.tkl')"/>
  <h2>
     <xsl:choose>
        <xsl:when test="$ok1 = '1'">
           <xsl:text>OK</xsl:text>
        </xsl:when>
        <xsl:otherwise>
           <xsl:text> FAILED </xsl:text>
        </xsl:otherwise>
     </xsl:choose>
  </h2>

  <h2>&lt;xsl:variable name="ok2" 
      select="document('tkl-file-exists://?file=none.tkl')"/&gt;</h2>
     <xsl:variable name="ok2" select="document('tkl-file-exists://?file=none.tkl')"/>
  <h2>
     <xsl:choose>
        <xsl:when test="$ok2 = '0'">
           <xsl:text>OK</xsl:text>
        </xsl:when>
        <xsl:otherwise>
           <xsl:text> FAILED </xsl:text>
        </xsl:otherwise>
     </xsl:choose>
  </h2>
  </body>
  </html>
</xsl:template>

</xsl:stylesheet>
