<?xml version="1.0" encoding="UTF-8"?>
<!--
   Copyright (C) 2002-2003 Index Data Aps, www.indexdata.dk

   This file is part of TKL.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; version 2 dated June, 1991.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   A copy of the GNU General Public License is also available at
   <URL:http://www.gnu.org/copyleft/gpl.html>.  You may also obtain
   it by writing to the Free Software Foundation, Inc., 59 Temple
   Place - Suite 330, Boston, MA 02111-1307, USA.

   $Id: index.xsl,v 1.8 2003-12-18 13:28:42 marc Exp $
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" encoding="UTF-8"/>

<xsl:template match="index">
  <html>
  <body>
  <h1>index.tkl</h1>
  <h2>&lt;xsl:value-of select="ok"/&gt;</h2>
  <h2><xsl:value-of select="ok"/></h2>
  <p>This test will fail unless the php.ini configuration variables<br/>
      session.use_only_cookies = 1 <br/>
      session.use_trans_sid = 0 <br/>
    are set (php4 version 4.3.x upwards)
  </p>

  <h2>TKL handler tests</h2>
  <a href="import-tkl-file.tkl">import-tkl-file.tkl</a><br/>
  <a href="include-tkl-file.tkl">include-tkl-file.tkl</a><br/>
  <a href="index.tkl">index.tkl</a><br/>
  <a href="iso8859-1.tkl">iso8859-1.tkl</a><br/>
  <a href="tkl-file-exists.tkl">tkl-file-exists.tkl</a><br/>
  <a href="tkl-file.tkl">tkl-file.tkl</a><br/>
  <a href="tkl-find.tkl">tkl-find.tkl</a><br/>
  <a href="tkl-path.tkl">tkl-path.tkl</a><br/>
  <a href="utf8.tkl">utf8.tkl</a><br/>


  <h2>Sablotron crash tests</h2>
  <a href="include-segfault.tkl">include-segfault.tkl</a><br/>
  <a href="include-segfault2.tkl">include-segfault2.tkl</a><br/>

  </body>
  </html>
</xsl:template>

</xsl:stylesheet>
